Bug 213356 - net/wireshark: update to 2.2.1
Summary: net/wireshark: update to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-10 13:39 UTC by Piotr Kubaj
Modified: 2016-10-17 13:23 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (marcus)
pkubaj: merge-quarterly?


Attachments
patch (6.98 KB, patch)
2016-10-10 13:39 UTC, Piotr Kubaj
no flags Details | Diff
update wireshark to 2.2.1, with all kerberos variants (29.75 KB, patch)
2016-10-12 18:36 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-10-10 13:39:24 UTC
Created attachment 175600 [details]
patch

The attached patch updates the Wireshark port to version 2.2.1.

Since it currently doesn't build with the base Kerberos, I've removed this option.

I've also updated dependencies, to include gettext (because it tries to link to it, I've added relevant NLS options) and cairo.

All the net/{wire,t}shark{,-lite} ports build fine on 10.3 using Poudriere.
Comment 1 Piotr Kubaj freebsd_committer 2016-10-10 13:39:53 UTC
MFH because of e.g. https://www.wireshark.org/docs/relnotes/wireshark-2.0.6.html
Comment 2 Christoph Moench-Tegeder freebsd_committer 2016-10-12 18:36:45 UTC
Created attachment 175674 [details]
update wireshark to 2.2.1, with all kerberos variants

Attached patch is the update plus patches to enable building against heimdal kerberos (that is, base and and security/heimdal - both of those are broken in upstream).
Patches obtained from https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12831
Comment 3 commit-hook freebsd_committer 2016-10-16 22:37:34 UTC
A commit references this bug:

Author: marcus
Date: Sun Oct 16 22:36:51 UTC 2016
New revision: 424084
URL: https://svnweb.freebsd.org/changeset/ports/424084

Log:
  Update to 2.2.1.  Incorporate patches from PR 213356 to fix the build
  with base Kerberos and add more explicit dependencies.

  For changes in 2.2.1, see https://www.wireshark.org/docs/relnotes/wireshark-2.2.1.html .

  PR:		213356
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/net/wireshark/Makefile
  head/net/wireshark/distinfo
  head/net/wireshark/files/patch-epan_dissectors_asn1_kerberos_packet-kerberos-template.c
  head/net/wireshark/files/patch-epan_dissectors_asn1_kerberos_packet-kerberos-template.h
  head/net/wireshark/files/patch-epan_dissectors_asn1_spnego_packet-spnego-template.c
  head/net/wireshark/files/patch-epan_dissectors_packet-kerberos.c
  head/net/wireshark/files/patch-epan_dissectors_packet-kerberos.h
  head/net/wireshark/files/patch-epan_dissectors_packet-spnego.c
  head/net/wireshark/pkg-plist
Comment 4 Joe Marcus Clarke freebsd_committer 2016-10-17 13:23:00 UTC
Committed this partially as I already had work to go to 2.2.0.  Thanks!